Bug 109382 - [FILEOPEN DOCX/RTF] multicharacter custom foot/endnote markers are not imported or formatted properly
Summary: [FILEOPEN DOCX/RTF] multicharacter custom foot/endnote markers are not import...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx, filter:rtf
Depends on:
Blocks: RTF-Opening DOCX-Opening DOCX
  Show dependency treegraph
 
Reported: 2017-07-26 14:05 UTC by Justin L
Modified: 2019-11-09 03:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
customFootnotes.docx: the custom mark is duplicated in the footnote. (11.73 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-07-26 14:05 UTC, Justin L
Details
customFootnotes.rtf: first character is duplicated for multi-character marks (8.51 KB, application/rtf)
2017-07-26 14:07 UTC, Justin L
Details
customFootnotes_word2003.pdf: how it looks in MSO 2003 (7.82 KB, application/pdf)
2017-07-26 14:10 UTC, Justin L
Details
tdf109382_customFootnote.rtf: hand-crafted, minimal RTF with complex custom footnote anchors (223 bytes, application/rtf)
2017-07-28 12:33 UTC, Justin L
Details
tdf109382_customFootnote.docx: minimal DOCX with complex custom footnote anchor (11.89 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-07-28 18:13 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin L 2017-07-26 14:05:46 UTC
Created attachment 134874 [details]
customFootnotes.docx: the custom mark is duplicated in the footnote.

When inserting a footnote in Word, there is a choice of a "custom mark" which can be multi-character. LO doesn't handle custom marks well.
-DOCX: the mark is duplicated entirely in the footnote.
-RTF:  for multi-character marks, the first character is duplicated in the footnote. (For single-character marks, it seems to work OK.)

1.) Open the document and look at the footnote and endnote
2.) The first instance of "CUSTOM" and "FANCY" is a link and the second contains the character formatting.

Inherited from OOo likely.  Occurs in the oldest bibisect43all available to Ubuntu x64 16.04.
Comment 1 Justin L 2017-07-26 14:07:44 UTC
Created attachment 134875 [details]
customFootnotes.rtf: first character is duplicated for multi-character marks
Comment 2 Justin L 2017-07-26 14:10:10 UTC
Created attachment 134876 [details]
customFootnotes_word2003.pdf: how it looks in MSO 2003

These DOCX and RTF documents were composed/saved by MS Word 2003.
Comment 3 Xisco Faulí 2017-07-26 14:33:00 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: e0b6a4a2d2dec4e9614f27fc03f84b1c578028ec
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 4 V Stuart Foote 2017-07-26 15:13:45 UTC
@Justin, *

What does MS Word's own Save-as ODF .odt do with them? 

And is that format maintained with filter opening into LO Writer?
Comment 5 Justin L 2017-07-28 12:33:42 UTC
Created attachment 134932 [details]
tdf109382_customFootnote.rtf: hand-crafted, minimal RTF with complex custom footnote anchors

RTF: The current implementation completely depends on the existence of \super (setting pCurrentBuffer = &m_aSuperBuffer) before the custom anchor. MSWord doesn't require \super, as demonstrated by this unit test example.

This will require a creative solution. (The previous solution was already pretty creative...) If you can get this document to work properly, you probably have the correct implementation.
Comment 6 Justin L 2017-07-28 12:38:18 UTC
RTF: the original 2011-06-29 implementation has changed slightly, but the general logic still holds.
https://cgit.freedesktop.org/libreoffice/core/commit/?id=fbdc98489973a33af4ef3f6ae072abe51716c564 RTF_FOOTNOTE: support custom marks
Comment 7 Justin L 2017-07-28 18:13:32 UTC
Created attachment 134949 [details]
tdf109382_customFootnote.docx: minimal DOCX with complex custom footnote anchor

LO seems to automatically use the same mark for both the in-text and footnote. Of course, MSO normally does this too, but it doesn't seem to be an absolute requirement. Clicking in this DOCX's bottom mark links to the top one - but only on inside the first 6 characters which matches the size of the in-text anchor.

These will be tough to fix since MS duplicates the mark in both formats.
Comment 8 Justin L 2017-08-11 18:35:18 UTC
RTF: potential fix started at https://gerrit.libreoffice.org/41061
Comment 9 Justin L 2017-11-07 18:12:11 UTC
(In reply to Justin L from comment #8)
> RTF: potential fix started at https://gerrit.libreoffice.org/41061

and abandoned. It doesn't handle some edge cases.
Comment 10 QA Administrators 2018-11-08 04:07:24 UTC Comment hidden (obsolete)
Comment 11 Roman Kuznetsov 2018-11-08 07:29:40 UTC
still repro in

Version: 6.2.0.0.alpha1+
Build ID: 6896f39ffd8a6c4b32b8f601a6a93678247456bd
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-05_22:40:18
Locale: ru-RU (ru_RU); Calc: threaded
Comment 12 QA Administrators 2019-11-09 03:53:11 UTC
Dear Justin L,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug